function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { PureComponent } from 'react';
import { Provider } from 'react-redux';
import Drafts from './drafts';

var DraftsProvider = function (_PureComponent) {
  _inherits(DraftsProvider, _PureComponent);

  function DraftsProvider() {
    _classCallCheck(this, DraftsProvider);

    return _possibleConstructorReturn(this, _PureComponent.apply(this, arguments));
  }

  DraftsProvider.prototype.render = function render() {
    var _props = this.props,
        store = _props.store,
        props = _objectWithoutProperties(_props, ['store']);

    return React.createElement(
      Provider,
      { store: store },
      React.createElement(Drafts, props)
    );
  };

  return DraftsProvider;
}(PureComponent);

export default DraftsProvider;